import { Router } from '@angular/router';
import { JwtHelperService } from '@auth0/angular-jwt';
import { NgForage } from 'ngforage';
import { HttpService } from './http.service';
import { ApiEntity } from '../interfaces/api-entity';
export declare class AuthService {
    private httpService;
    private router;
    private storageService;
    protected jwtHelper: JwtHelperService;
    protected _user: any;
    constructor(httpService: HttpService, router: Router, storageService: NgForage);
    getToken(): Promise<string>;
    setToken(token: string): Promise<string>;
    /**
     * Set current logged user
     * @param {User} user
     */
    setUser(user: ApiEntity): Promise<void>;
    getUser(): Promise<any>;
    /**
     * Check if current user is authenticated
     * @return {boolean}
     */
    isAuthenticated(): Promise<boolean>;
    /**
     * Check if token is expired
     * @return {boolean}
     */
    isExpired(): Promise<boolean>;
    /**
     * Attempt to refresh token
     * @return {Promise<string>}
     */
    refreshToken(): Promise<any>;
    /**
     * Clear all session variables
     */
    logout(): Promise<void>;
}
