import { HttpClient } from '@angular/common/http';
import { UrlParams } from '../interfaces/url-params';
import { ApiResponse } from '../interfaces/api-response';
export declare class HttpService {
    private config;
    private http;
    constructor(config: any, http: HttpClient);
    private handle;
    get(urlParams: UrlParams, params?: {}): Promise<ApiResponse<any>>;
    search(urlParams: UrlParams, params?: {}): Promise<ApiResponse<any>>;
    save(urlParams: UrlParams, data: Object): Promise<ApiResponse<any>>;
    update(urlParams: UrlParams, data: Object): Promise<ApiResponse<any>>;
    delete(urlParams: UrlParams, params?: {}): Promise<ApiResponse<any>>;
    /**
     * Transform keys to `key[]` for array type vales
     * and remove params with empty values
     * @param urlParams
     * @param options
     */
    private filterParams;
    /**
     * Make url like `/section/id/cmd/secondId`
     * @param urlParams
     */
    private buildUrl;
}
